import type { Component } from "vue";
import { PropType } from "vue";
import type { tipoComponenteCelula } from "../types-eli-tabela";
declare const __VLS_export: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    celula: {
        type: PropType<tipoComponenteCelula>;
        required: true;
    };
}>, {
    Componente: import("vue").ComputedRef<Component>;
    dadosParaComponente: import("vue").ComputedRef<{
        texto: string;
        acao?: () => void;
    } | {
        texto: string;
        acao?: () => void;
    } | {
        numero: number;
        prefixo?: string;
        sufixo?: string;
        acao?: () => void;
    } | {
        opcoes: {
            rotulo: string;
            cor?: string;
            icone?: import("lucide-vue-next").LucideIcon;
            acao?: () => void;
        }[];
    } | {
        valor: string;
        formato: "data" | "data_hora" | "relativo";
        acao?: () => void;
    }>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    celula: {
        type: PropType<tipoComponenteCelula>;
        required: true;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
